=== debian/changelog ===
irclog2html (2.15.3-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Mon, 19 Dec 2016 19:00:47 +0100

irclog2html (2.15.3-1) unstable; urgency=medium

  * New upstream version 2.15.3

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 08 Dec 2016 14:56:04 +0100

irclog2html (2.15.2-2) unstable; urgency=medium

  * Document copyright and license of ./bootstrap.py.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 09 Oct 2016 10:16:25 +0000

irclog2html (2.15.2-1) unstable; urgency=medium

  * Initial release.

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 07 Oct 2016 23:57:16 +0000
