=== debian/control ===
Source: irclog2html
Priority: extra
Section: misc
Maintainer: Mattia Rizzolo <mattia@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 python3-all,
 python3-mock,
 python3-setuptools,
 python3-zope,
 python3-zope.testing,
Standards-Version: 3.9.8
Homepage: http://mg.pov.lt/irclog2html/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/irclog2html.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/irclog2html.git

Package: irclog2html
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Converts IRC log files to HTML with pretty colours
 Python scripts that converts IRC log files from several formats to coloured
 HTML.
 .
 Features include:
  * XHTML & CSS output
  * Unique, automatic nick colours (preserved across nick changes)
  * URL highlighting
  * Bookmarkable timestamps for each line
  * Navigation links between daily log files
