=== debian/changelog ===
irclog2html (2.17.0-2) unstable; urgency=medium

  [ Unit 193 ]
  * Fix typo in 2.16.0-1 changelog entry.
  * d/copyright:
    + Use https where possible.
    + Add upstream maintainer's email.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 06 Mar 2018 17:53:42 +0100

irclog2html (2.17.0-1) unstable; urgency=medium

  * New upstream version 2.17.0.
  * d/control:
    + Bump Standards-Version to 4.1.3, no changes needed.
    + Update Vcs-* fields for the move to salsa.debian.org.
  * Add patch fixing FTBFS in a non-UTF8 environment.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 06 Mar 2018 17:31:33 +0100

irclog2html (2.16.0-1) unstable; urgency=medium

  * New upstream version 2.16.0.
  * Bump debhelper compat level to 11.
  * d/control:
    + Bump Standards-Version to 4.1.2:
      - Priority:extra is deprecated in favour of optional.
    + Rules-Requires-Root: no.
    + Use HTTPS in the Homepage field.
  * d/copyright: Bump copyright year for debian/*.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 23 Dec 2017 22:15:33 +0100
