=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: irclog2html
-Priority: extra
+Priority: optional
 Section: misc
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  dh-python,
  python3-all,
  python3-mock,
  python3-setuptools,
  python3-zope,
  python3-zope.testing,
-Standards-Version: 3.9.8
-Homepage: http://mg.pov.lt/irclog2html/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/irclog2html.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/irclog2html.git
+Standards-Version: 4.1.3
+Rules-Requires-Root: no
+Homepage: https://mg.pov.lt/irclog2html
+Vcs-Browser: https://salsa.debian.org/debian/irclog2html
+Vcs-Git: https://salsa.debian.org/debian/irclog2html.git
 
 Package: irclog2html
 Architecture: all
