=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@ --buildsystem pybuild --with python3

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.rst
