=== debian/changelog ===
irclog2html (2.17.1-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 02 Dec 2018 16:30:21 +0100

irclog2html (2.17.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Change Format URL to correct one.

  [ Mattia Rizzolo ]
  * New upstream version 2.17.1.
  * Remove all patches, applied upstream.
  * d/watch: Simplify using the new subst vars.
  * d/control:
    + Bump Standards-Version to 4.2.1, no changes needed.
    + Use the new debhelper-compat(=11) notation and drop d/compat.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 27 Nov 2018 10:59:09 +0100
