=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Section: misc
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 11),
  dh-python,
  python3-all,
  python3-mock,
  python3-setuptools,
  python3-zope,
  python3-zope.testing,
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Rules-Requires-Root: no
 Homepage: https://mg.pov.lt/irclog2html
 Vcs-Browser: https://salsa.debian.org/debian/irclog2html
