## irclog2html 2.17.2

=== Makefile ===
--- 
+++ 
@@ -45,6 +45,13 @@
 	coverage combine
 	coverage report -m --fail-under=100
 
+.PHONY: diff-cover
+diff-cover: coverage
+	tox -e coverage,coverage3 -- -p
+	coverage combine
+	coverage xml
+	diff-cover coverage.xml
+
 .PHONY: clean
 clean:
 	rm -f testcases/*.html testcases/*.css
