=== debian/changelog ===
irclog2html (2.17.2-1) unstable; urgency=medium

  * New upstream version 2.17.2.
  * d/control: Bump Standards-Version to 4.3.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Jul 2019 17:45:19 +0200
