=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
  python3-setuptools,
  python3-zope,
  python3-zope.testing,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Rules-Requires-Root: no
 Homepage: https://mg.pov.lt/irclog2html
 Vcs-Browser: https://salsa.debian.org/debian/irclog2html
