=== debian/changelog ===
irclog2html (2.17.3-2) unstable; urgency=medium

  * Update d/copyright for the license change from GPL-2+ to "GPL-2 or GPL-3".

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Jul 2021 13:56:40 +0200

irclog2html (2.17.3-1) unstable; urgency=medium

  [ Mattia Rizzolo ]
  * New upstream version 2.17.3.
  * d/control:
    + Bump debhelper compat level to 13.
    + Build-depend on dh-sequence-python3 instead of using `--with python3`.
    + Bump Standards-Version to 4.5.1, no changes needed.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 18 Jul 2021 11:38:39 +0200
