=== debian/control ===
--- 
+++ 
@@ -3,14 +3,15 @@
 Section: misc
 Maintainer: Mattia Rizzolo <mattia@debian.org>
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 13),
  dh-python,
+ dh-sequence-python3,
  python3-all,
  python3-mock,
  python3-setuptools,
  python3-zope,
  python3-zope.testing,
-Standards-Version: 4.3.0
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://mg.pov.lt/irclog2html
 Vcs-Browser: https://salsa.debian.org/debian/irclog2html
