=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/irclog2html/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
