=== debian/changelog ===
irclog2html (3.0.0-1) unstable; urgency=medium

  * New upstream version 3.0.0.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Bump copyright years.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 03 Sep 2023 17:36:06 +0530
