=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
  python3-setuptools,
  python3-zope,
  python3-zope.testing,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://mg.pov.lt/irclog2html
 Vcs-Browser: https://salsa.debian.org/debian/irclog2html
