=== debian/changelog ===
irclog2html (4.0.0-1) unstable; urgency=medium

  * New upstream version 4.0.0.
    + Conditional import of the cgi module, to support Python 3.13.
      Closes: #1084605
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Mattia Rizzolo <mattia@debian.org>  Sun, 08 Dec 2024 14:00:29 +0100
